# $Revision: 1.24 $, $Date: 2008/11/16 15:23:55 $
# TODO
# - %attr(755,root,root) %{_bindir}/event_rpcgen.py
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libevent - an event notification library
Summary(pl.UTF-8):	libevent - biblioteka powiadamiająca o zdarzeniach
Name:		libevent
Version:	1.4.7
Release:	3
Epoch:		0
License:	BSD
Group:		Libraries
# Source0Download: http://www.monkey.org/~provos/libevent/
Source0:	http://www.monkey.org/~provos/%{name}-%{version}-stable.tar.gz
# Source0-md5:	f247d0671ea4fc95b191daf79cb762a0
Patch0:		%{name}-fpm.patch
URL:		http://www.monkey.org/~provos/libevent/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. It is meant to replace the asynchronous event loop
found in event-driven network servers.

%description -l pl.UTF-8
API libevent dostarcza mechanizm do wykonywania funkcji callback,
kiedy nastąpiło określone zdarzenie w deskryptorze pliku lub po
określonym czasie. Ma to na celu zastąpienie asynchronicznych pętli w
sterowanych zdarzeniami usługach sieciowych.

%package devel
Summary:	Header files for libevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libevent
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libevent.

%package static
Summary:	Static libevent library
Summary(pl.UTF-8):	Statyczna biblioteka libevent
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libevent library.

%description static -l pl.UTF-8
Statyczna biblioteka libevent.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevent-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent-1.4.so.2
%attr(755,root,root) %{_libdir}/libevent_core-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_core-1.4.so.2
%attr(755,root,root) %{_libdir}/libevent_extra-1.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_extra-1.4.so.2

%files devel
%defattr(644,root,root,755)
# R: python
#%attr(755,root,root) %{_bindir}/event_rpcgen.py
%attr(755,root,root) %{_libdir}/libevent.so
%attr(755,root,root) %{_libdir}/libevent_core.so
%attr(755,root,root) %{_libdir}/libevent_extra.so
%{_libdir}/libevent.la
%{_libdir}/libevent_core.la
%{_libdir}/libevent_extra.la
%{_includedir}/evdns.h
%{_includedir}/event*.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
%{_mandir}/man3/evdns.3*
%{_mandir}/man3/event.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libevent.a
%{_libdir}/libevent_core.a
%{_libdir}/libevent_extra.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libevent.spec,v $
Revision 1.24  2008/11/16 15:23:55  glen
- add fpm patch (disables few asserts needed for php-fpm); rel 3

Revision 1.23  2008/09/01 12:43:25  arekm
- release 2

Revision 1.22  2008/08/27 16:08:37  qboosh
- updated to 1.4.7

Revision 1.21  2008/07/09 23:13:24  qboosh
- updated to 1.4.5-stable (note: new soname, libs split)

Revision 1.20  2007/11/03 00:23:19  qboosh
- updated to 1.3e (new soname as usual)

Revision 1.19  2007/09/05 17:37:18  qboosh
- updated to 1.3d (new soname)

Revision 1.18  2007/03/10 15:32:58  qboosh
- updated to 1.3b (new soname as usual)

Revision 1.17  2007/02/19 20:56:52  qboosh
- updated to 1.3a (fixes remote DNS DoS)

Revision 1.16  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.14  2006/10/17 06:18:26  arekm
- up to 1.2

Revision 1.13  2006/08/10 06:54:13  arekm
- up to 1.1b

Revision 1.12  2005/11/26 00:38:57  qboosh
- updated md5

Revision 1.11  2005/11/25 18:28:52  eothane
- up to 1.1a

Revision 1.10  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.9  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.8  2005/02/27 19:41:00  arekm
- up to 1.0b

Revision 1.7  2005/01/07 21:14:55  qboosh
- updated to 1.0a (bugfix)

Revision 1.6  2004/12/22 15:17:10  qboosh
- updated to 1.0, updated shared patch

Revision 1.5  2004/12/20 21:12:40  qboosh
- pl fix, download URL

Revision 1.4  2004/09/04 20:39:21  adamg
- strict internal deps
- release 1

Revision 1.3  2003/10/29 21:44:18  qboosh
- patched to build shared library, pl fix

Revision 1.2  2003/10/29 21:10:56  ankry
- typo, cosmetics

Revision 1.1  2003/10/29 13:04:42  michuz
- initial release
- TODO: (1) shared library, (2) check my poor polish translation
